% *************************************************************************
% 
% Copyright: (c) 2011 Rohde & Schwarz GmbH & CO KG.    All rights reserved.
%                Muehldorfstr. 15
%                D-81671 Munich
%
%                8.3.2011       T. Roeder, Rohde&Schwarz
%
% *************************************************************************
% SCPI Batch
% This script processes a list of SCPI commands from an ASCII text file.
% *************************************************************************

VisaDevStr = 'GPIB0::28::INSTR';

filename   = 'SCPI.txt';

disp ('  ');
disp ('=== RUN SCPI COMMANDS ===');

% use VISA interface from National Instruments to connect via TCP/IP
[status, InstrObject] = rs_connect( 'visa', 'ni', VisaDevStr );
if( ~status )
    disp (['*** Return status from rs_connect() is : ' num2str(status)]);
    clear;
    return;
end

output = 1;  % show line numbers and commands
[status, result] = rs_batch_interpret( InstrObject, filename, output );
if( ~status )
    disp ('*** SCPI command processig failed' );
    clear;
    return;
end

disp( 'SCPI commands processed. ');

% delete instrument object
delete( InstrObject );

% clear variables
clear;

return;


